unit hiGL_Ortho;

interface

uses Kol,Share,Debug,OpenGL;

type
  THIGL_Ortho = class(TDebug)
   private
   public
    _prop_Projection:byte;
    _prop_Left:real;
    _prop_Right:real;
    _prop_Botton:real;
    _prop_Top:real;
    _prop_zNear:real;
    _prop_zFar:real;
    
    _data_Left:THI_Event;
    _data_Right:THI_Event;
    _data_Botton:THI_Event;
    _data_Top:THI_Event;
    _data_zNear:THI_Event;
    _data_zFar:THI_Event;

    _event_onOrtho:THI_Event;

    procedure _work_doOrtho(var _Data:TData; Index:word);
  end;

implementation

procedure THIGL_Ortho._work_doOrtho;
begin
     glMatrixMode(GL_PROJECTION);
     glLoadIdentity;
     if _prop_Projection = 0 then glOrtho(readreal(_data,_data_left,_prop_left), readreal(_data,_data_right,_prop_right), readreal(_data,_data_botton,_prop_botton), readreal(_data,_data_top,_prop_top), readreal(_data,_data_zNear,_prop_zNear), readreal(_data,_data_zFar,_prop_zFar))
      else gluOrtho2D(readreal(_data,_data_left,_prop_left), readreal(_data,_data_right,_prop_right), readreal(_data,_data_botton,_prop_botton), readreal(_data,_data_top,_prop_top));
     glMatrixMode(GL_MODELVIEW);
     glLoadIdentity;

     _hi_CreateEvent(_data,@_event_onOrtho);
end;

end.
